<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.XTC2.autotrade.sector</name>
<version>3</version>
<engineversion>25</engineversion>
<description>autotrade core</description>
<arguments>
<argument index="1" name="start.sector" type="Var/Sector" desc="Start Sector" />
<argument index="2" name="range" type="Var/Number" desc="Range" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var>part&#160;of&#160;Xai&#160;Corporation&#160;Trade&#160;Command&#160;Software&#160;Mk2</var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="004" indent=""></line>
<line linenr="005" indent=""><comment><text>*&#160;</text><var>default&#160;range</var></comment></line>
<line linenr="006" indent=""><var>skip&#160;if&#160;</var><var>$range</var></line>
<line linenr="007" indent="&#160;"><var>$range&#160;=&#160;</var><var>0</var></line>
<line linenr="008" indent=""></line>
<line linenr="009" indent=""><comment><text>*&#160;</text><var>Main&#160;loop</var></comment></line>
<line linenr="010" indent=""><var>while&#160;</var><var>[TRUE]</var></line>
<line linenr="011" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>1000</var><text>&#160;ms</text></line>
<line linenr="012" indent="&#160;"></line>
<line linenr="013" indent=""><comment><text>*&#160;</text><var>Set&#160;buying&#160;sector</var></comment></line>
<line linenr="014" indent="&#160;"><var>if&#160;</var><var>$start.sector</var></line>
<line linenr="015" indent="&#160;&#160;"><var>$sector&#160;=&#160;</var><var>$start.sector</var></line>
<line linenr="016" indent="&#160;"><text>else</text></line>
<line linenr="017" indent="&#160;&#160;"><var>$sector&#160;=&#160;</var><var>[SECTOR]</var></line>
<line linenr="018" indent="&#160;"><text>end</text></line>
<line linenr="019" indent="&#160;"></line>
<line linenr="020" indent=""><comment><text>*&#160;</text><var>Set&#160;command&#160;display</var></comment></line>
<line linenr="021" indent="&#160;"><var>$cmd&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;command</text></line>
<line linenr="022" indent="&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;command:&#160;</text><var>COMMAND_MOVE_SECTOR</var><text>&#160;&#160;target=</text><var>$sector</var><text>&#160;target2=</text><var>null</var><text>&#160;par1=</text><var>null</var><text>&#160;par2=</text><var>null</var></line>
<line linenr="023" indent="&#160;"><text>set&#160;script&#160;command:&#160;</text><var>$cmd</var></line>
<line linenr="024" indent="&#160;"></line>
<line linenr="025" indent=""><comment><text>*&#160;</text><var>---&#160;Sell&#160;wares&#160;---</var></comment></line>
<line linenr="026" interruptable="@" indent="&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.AP.autosell</call><text>&#160;:&#160;</text><text>&#160;Max&#160;Jumps=</text><var>$range</var><text>&#160;</text><text>&#160;Home&#160;Sector=</text><var>$sector</var></line>
<line linenr="027" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>1000</var><text>&#160;ms</text></line>
<line linenr="028" indent="&#160;"></line>
<line linenr="029" indent=""><comment><text>*&#160;</text><var>---&#160;Buy&#160;wares&#160;---</var></comment></line>
<line linenr="030" indent=""><comment><text>*&#160;</text><var>&#160;make&#160;choice</var></comment></line>
<line linenr="031" interruptable="@" indent="&#160;"><var>$ware&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.XTC2.AP.ATT.choice</call><text>&#160;:&#160;</text><text>&#160;Buying&#160;Sector=</text><var>$sector</var><text>&#160;</text><text>&#160;Selling.sector=</text><var>$sector</var><text>&#160;</text><text>&#160;Max&#160;Selling&#160;Range=</text><var>$range</var></line>
<line linenr="032" indent="&#160;"></line>
<line linenr="033" indent=""><comment><text>*&#160;</text><var>&#160;check&#160;prices</var></comment></line>
<line linenr="034" indent="&#160;"><var>$max.price&#160;=&#160;</var><text>&#160;find&#160;station:&#160;resource&#160;</text><var>$ware</var><text>&#160;with&#160;best&#160;price:&#160;min.price=</text><var>null</var><text>,&#160;amount=</text><var>null</var><text>,&#160;max.jumps=</text><var>$range</var><text>,&#160;startsector=</text><var>$sector</var><text>,&#160;trader=</text><var>[THIS]</var></line>
<line linenr="035" indent="&#160;"><var>skip&#160;if&#160;</var><var>$max.price</var></line>
<line linenr="036" indent="&#160;&#160;"><var>$max.price&#160;=&#160;</var><text>&#160;find&#160;station:&#160;product&#160;</text><var>$ware</var><text>&#160;with&#160;best&#160;price:&#160;&#160;max.price=</text><var>null</var><text>,&#160;amount=</text><var>null</var><text>,&#160;max.jumps=</text><var>$range</var><text>,&#160;startsector=</text><var>$sector</var><text>,&#160;trader=</text><var>[THIS]</var></line>
<line linenr="037" indent="&#160;"><var>if&#160;</var><var>$max.price</var></line>
<line linenr="038" indent="&#160;&#160;"><var>$max.price.sector&#160;=&#160;</var><var>$max.price&#160;-&gt;</var><text>&#160;get&#160;sector</text></line>
<line linenr="039" indent="&#160;&#160;"><var>$max.price&#160;=&#160;</var><var>$max.price&#160;-&gt;</var><text>&#160;get&#160;price&#160;of&#160;ware&#160;</text><var>$ware</var></line>
<line linenr="040" indent="&#160;&#160;"></line>
<line linenr="041" indent=""><comment><text>*&#160;</text><var>&#160;set&#160;displayed&#160;command</var></comment></line>
<line linenr="042" indent="&#160;&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;command:&#160;</text><var>COMMAND_GET_WARE_BEST</var><text>&#160;&#160;target=</text><var>$ware</var><text>&#160;target2=</text><var>null</var><text>&#160;par1=</text><var>null</var><text>&#160;par2=</text><var>null</var></line>
<line linenr="043" indent="&#160;&#160;"><text>set&#160;script&#160;command:&#160;</text><var>COMMAND_XAI_MISC_BEST_BUY</var></line>
<line linenr="044" indent="&#160;&#160;"></line>
<line linenr="045" indent=""><comment><text>*&#160;</text><var>&#160;go&#160;and&#160;buy&#160;wares</var></comment></line>
<line linenr="046" indent="&#160;&#160;"><var>skip&#160;if&#160;</var><var>$max.price.sector</var><text>&#160;</text><var>==</var><text>&#160;</text><var>[SECTOR]</var></line>
<line linenr="047" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.fly.toSector</call><text>&#160;:&#160;</text><text>&#160;Target&#160;Sector=</text><var>$max.price.sector</var><text>&#160;</text><text>&#160;Use&#160;Safe&#160;route=</text><var>[TRUE]</var><text>&#160;</text><text>&#160;Timeout=</text><var>null</var><text>&#160;</text><text>&#160;Active&#160;Scans=</text><var>[TRUE]</var></line>
<line linenr="048" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.AP.bestBuy</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>$ware</var><text>&#160;</text><text>&#160;Max&#160;Jumps=</text><var>$range</var><text>&#160;</text><text>&#160;buy&#160;amount=</text><var>null</var><text>&#160;</text><text>&#160;Max.&#160;Price=</text><var>$max.price</var></line>
<line linenr="049" indent="&#160;"><text>end</text></line>
<line linenr="050" indent="&#160;"></line>
<line linenr="051" indent=""><comment><text>*&#160;</text><var>run&#160;self&#160;diagnostics</var></comment></line>
<line linenr="052" interruptable="@" indent="&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.ship.diag</call><text>&#160;:&#160;</text></line>
<line linenr="053" indent=""><text>end</text></line>
<line linenr="054" indent=""></line>
<line linenr="055" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.XTC2.autotrade.sector" /><sval type="int" val="25" /><sval type="string" val="autotrade core" /><sval type="int" val="3" /><sval type="int" val="0" /><sval type="array" size="7"><sval type="string" val="start.sector" /><sval type="string" val="range" /><sval type="string" val="sector" /><sval type="string" val="cmd" /><sval type="string" val="ware" /><sval type="string" val="max.price" /><sval type="string" val="max.price.sector" /></sval><sval type="array" size="28"><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536870393" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610605815" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="1000" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610610941" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="8" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="525" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /></sval><sval type="array" size="13"><sval type="int" val="538" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="18" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="120" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="10"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.AP.autosell" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="1000" /></sval><sval type="array" size="12"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.XTC2.AP.ATT.choice" /><sval type="int" val="4" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="14"><sval type="int" val="608" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536866553" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="14"><sval type="int" val="606" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610606333" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="703" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="6" /></sval><sval type="array" size="6"><sval type="int" val="627" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="13"><sval type="int" val="538" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="18" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="120" /><sval type="int" val="18" /><sval type="int" val="429" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536864761" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="14"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.fly.toSector" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="10" /></sval><sval type="array" size="14"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.AP.bestBuy" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.ship.diag" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="2"><sval type="array" size="2"><sval type="int" val="14" /><sval type="string" val="Start Sector" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="Range" /></sval></sval><sval type="array" size="29"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="part of Xai Corporation Trade Command Software Mk2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="default range" /></sval><sval type="array" size="2"><sval type="int" val="2" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="2" /><sval type="int" val="1" /><sval type="string" val="Main loop" /></sval><sval type="array" size="2"><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="4" /><sval type="int" val="1" /><sval type="string" val="Set buying sector" /></sval><sval type="array" size="2"><sval type="int" val="7" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="8" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="8" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="8" /><sval type="int" val="1" /><sval type="string" val="Set command display" /></sval><sval type="array" size="2"><sval type="int" val="11" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="11" /><sval type="int" val="1" /><sval type="string" val="--- Sell wares ---" /></sval><sval type="array" size="2"><sval type="int" val="13" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="13" /><sval type="int" val="1" /><sval type="string" val="--- Buy wares ---" /></sval><sval type="array" size="3"><sval type="int" val="13" /><sval type="int" val="1" /><sval type="string" val=" make choice" /></sval><sval type="array" size="2"><sval type="int" val="14" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="14" /><sval type="int" val="1" /><sval type="string" val=" check prices" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="20" /><sval type="int" val="1" /><sval type="string" val=" set displayed command" /></sval><sval type="array" size="2"><sval type="int" val="22" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="22" /><sval type="int" val="1" /><sval type="string" val=" go and buy wares" /></sval><sval type="array" size="2"><sval type="int" val="25" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="25" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="25" /><sval type="int" val="1" /><sval type="string" val="run self diagnostics" /></sval><sval type="array" size="2"><sval type="int" val="27" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="27" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
